View Issue Details

IDProjectCategoryView StatusLast Update
0001663RackTablesdefaultpublic2016-10-18 16:40
ReporterMarkMasonAssigned Toinfrastation 
PrioritylowSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version0.20.11 
Target Version0.20.12Fixed in Version0.20.12 
Summary0001663: File Attachments/Uploads
DescriptionGood Morning,

Suggestion - I regularly add photos of cabinets to the Cabinets Profile along with a comment - this can be used to show what state cabs were left in and what has changed. One really useful thing, which would certainly help me massively, is when a File is uploaded, would it be possible to tag the date and Time of the upload. It shows the file size etc - At present I include this information in the comment, but sometimes i forget.

Regards
Mark
TagsNo tags attached.

Activities

infrastation

infrastation

2016-08-01 10:52

administrator   ~0003413

The information you are looking for is normally recorded and is available on each file's page. Do you mean you want it on the small block that represents a file when viewed from an object page or only in a mouse hint would be OK too?
MarkMason

MarkMason

2016-08-03 09:12

reporter  

Screenshot RackTables.jpg (Attachment missing)
MarkMason

MarkMason

2016-08-03 09:13

reporter   ~0003421

Is it possible to have the date/time of upload placed on this screen next to the File Size?

Regards
Mark
infrastation

infrastation

2016-08-09 17:57

administrator   ~0003423

I have asked on the mailing list if there would be any volunteers to implement this as a development practice. Let's wait about a week more to see. In any case, this is a simple change and it should make into the next release. Could you confirm you mean the time of the first upload or the time of the last upload in case they are different?
albertoa

albertoa

2016-08-12 10:26

reporter   ~0003427

@MarkMason:
I'm guessing what you need could be the modification time of the image loaded in racktables (i.e. the time when the image was taken or modified, not the time when it was uploaded).
In that case it is easy to display that information:
edit interfaces.php, locate the renderCell function (around line 4990), locate the 'file' section of the switch inside the function, then add the line:
echo " (".$cell['mtime'].")";
as shown in the attached image "AddedLine.png".
Then check if the result on RackTables interface suits your need.
albertoa

albertoa

2016-08-12 10:26

reporter  

AddedLine.png (Attachment missing)
infrastation

infrastation

2016-08-12 13:30

administrator   ~0003429

Would you open a pull request and take the credit for fixing this?
infrastation

infrastation

2016-10-18 16:40

administrator   ~0003485

This has been implemented in commit 9cf16bc. In release 0.20.12 you will see the timestamp(s) when hovering mouse cursor over the file name. Closing.

Issue History

Date Modified Username Field Change
2016-07-27 11:07 MarkMason New Issue
2016-08-01 10:52 infrastation Note Added: 0003413
2016-08-03 09:12 MarkMason File Added: Screenshot RackTables.jpg
2016-08-03 09:13 MarkMason Note Added: 0003421
2016-08-09 17:57 infrastation Note Added: 0003423
2016-08-09 17:57 infrastation Target Version => 0.20.12
2016-08-12 10:26 albertoa Note Added: 0003427
2016-08-12 10:26 albertoa File Added: AddedLine.png
2016-08-12 13:30 infrastation Note Added: 0003429
2016-10-18 16:40 infrastation Note Added: 0003485
2016-10-18 16:40 infrastation Assigned To => infrastation
2016-10-18 16:40 infrastation Status new => closed
2016-10-18 16:40 infrastation Resolution open => fixed
2016-10-18 16:40 infrastation Fixed in Version => 0.20.12